Bug 209079 - [ Mac ] fast/animation/request-animation-frame-timestamps.html is flaky failing.
Summary: [ Mac ] fast/animation/request-animation-frame-timestamps.html is flaky failing.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Animations (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Said Abou-Hallawa
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2020-03-13 14:42 PDT by Jason Lawrence
Modified: 2020-05-05 12:30 PDT (History)
7 users (show)

See Also:


Attachments
Patch (4.54 KB, patch)
2020-05-04 19:09 PDT, Said Abou-Hallawa
no flags Details | Formatted Diff | Diff
Patch (4.72 KB, patch)
2020-05-04 23:09 PDT, Said Abou-Hallawa
no flags Details | Formatted Diff | Diff
Patch (4.73 KB, patch)
2020-05-05 00:18 PDT, Said Abou-Hallawa
no flags Details | Formatted Diff | Diff
Patch (4.86 KB, patch)
2020-05-05 11:32 PDT, Said Abou-Hallawa
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Lawrence 2020-03-13 14:42:28 PDT
fast/animation/request-animation-frame-timestamps.html

Description:
This test is flaky failing on Mac. The flaky failures go back to November 2019. 

History:
https://results.webkit.org/?suite=layout-tests&test=http%2Ftests%2Fmedia%2Fuser-gesture-preserved-across-xmlhttprequest.html&platform=mac

Diff:
--- /Volumes/Data/slave/catalina-release-tests-wk1/build/layout-test-results/fast/animation/request-animation-frame-timestamps-expected.txt
+++ /Volumes/Data/slave/catalina-release-tests-wk1/build/layout-test-results/fast/animation/request-animation-frame-timestamps-actual.txt
@@ -3,10 +3,10 @@
 On success, you will see a series of "PASS" messages, followed by "TEST COMPLETE".
 
 
+FAIL firstTimestamp should be defined. Was undefined
 PASS firstTimestamp is defined.
 PASS secondTimestamp is defined.
 PASS firstTimestamp is secondTimestamp
-PASS firstTimestamp is defined.
 PASS successfullyParsed is true
 
 TEST COMPLETE
Comment 1 Radar WebKit Bug Importer 2020-03-13 14:42:55 PDT
<rdar://problem/60434603>
Comment 2 Jason Lawrence 2020-03-13 14:52:11 PDT
I have marked this test as failing while this issue is investigated here: https://trac.webkit.org/changeset/258435/webkit
Comment 3 Said Abou-Hallawa 2020-05-04 19:09:17 PDT
Created attachment 398452 [details]
Patch
Comment 4 Said Abou-Hallawa 2020-05-04 23:06:33 PDT
This os the correct history link. The above one is for the test http/tests/media/user-gesture-preserved-across-xmlhttprequest.html:

https://results.webkit.org/?suite=layout-tests&test=fast%2Fanimation%2Frequest-animation-frame-timestamps.html&platform=mac
Comment 5 Said Abou-Hallawa 2020-05-04 23:09:11 PDT
Created attachment 398476 [details]
Patch
Comment 6 Said Abou-Hallawa 2020-05-05 00:18:18 PDT
Created attachment 398482 [details]
Patch
Comment 7 Antoine Quint 2020-05-05 02:47:44 PDT
Comment on attachment 398482 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=398482&action=review

> LayoutTests/fast/animation/request-animation-frame-timestamps.html:12
> +        while (Date.now()-start < millis) {}

Could you use `performance.now()` here instead?

> LayoutTests/fast/animation/request-animation-frame-timestamps.html:17
> +            window.requestAnimationFrame(function(timestamp) {

You're mixing arrow-syntax and `function`, could you use a consistent style?

> LayoutTests/fast/animation/request-animation-frame-timestamps.html:37
> +    Promise.all([firstRequestAnimationFrame(), secondRequestAnimationFrame()]).then((timestamps) => {

Nit: no need for the `()` around `timestamps`. You could also use `await` for Promise.all() instead of `then()`.
Comment 8 Said Abou-Hallawa 2020-05-05 11:32:04 PDT
Created attachment 398532 [details]
Patch
Comment 9 EWS 2020-05-05 12:30:08 PDT
Committed r261193: <https://trac.webkit.org/changeset/261193>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 398532 [details].